## org.eclipse.jetty.io.nio
Class SelectorManager.SelectSet

    java.lang.Object
      org.eclipse.jetty.io.nio.SelectorManager.SelectSet

Enclosing class:
  SelectorManager

    public class SelectorManager.SelectSet

extends java.lang.Object

Method Summary
`void` `addChange(java.lang.Object change)`
`void` `addChange(java.nio.channels.SelectableChannel channel, java.lang.Object att)`
`void` `cancelTimeout(Timeout.Task task)`
`void` `destroyEndPoint(SelectChannelEndPoint endp)`
`void` `doSelect()` Select and dispatch tasks found from changes and the selector.
`void` `dump()`
`SelectorManager` `getManager()`
`long` `getNow()`
`void` `scheduleTimeout(Timeout.Task task, long timeoutMs)`
`void` `wakeup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addChange

    public void addChange(java.lang.Object change)

### addChange

    public void addChange(java.nio.channels.SelectableChannel channel,
                          java.lang.Object att)

### doSelect

    public void doSelect()
                  throws java.io.IOException

  Select and dispatch tasks found from changes and the selector.

  Throws:
    `java.io.IOException`

### getManager

    public SelectorManager getManager()

### getNow

    public long getNow()

### scheduleTimeout

    public void scheduleTimeout(Timeout.Task task,
                                long timeoutMs)

  Parameters:
    `task` - The task to timeout. If it implements Runnable, then expired will be called from a dispatched thread.
    `timeoutMs` -

### cancelTimeout

    public void cancelTimeout(Timeout.Task task)

### wakeup

    public void wakeup()

### destroyEndPoint

    public void destroyEndPoint(SelectChannelEndPoint endp)

### dump

    public void dump()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.